package model;

import java.io.IOException;
import java.io.InputStream;

/**
 * Created by IntelliJ IDEA.
 * User: Amir  Sheibani
 * Date: Apr 2, 2004
 * Time: 7:51:08 PM
 * To change this template use Options | File Templates.
 */
public class ImageRGBDataLoader {

    public static ImageRGBData load(final InputStream is,
                                    final int width,
                                    final int height,
                                    final int[] buffer1,
                                    final int[] buffer2) throws IOException {

        for (int i = 0; i < buffer1.length; i++) {
            buffer1[i] = is.read();
        }

        for (int i = 0; i < buffer2.length; i++) {
            buffer2[i] = is.read();
        }

        int[] data = new int[buffer2.length];
        for (int i = 0; i < data.length; i++) {
            data[i] = ((255 & 0xFF) << 24) |
                    ((buffer1[i] & 0xFF) << 16) |
                    ((buffer2[i] & 0xFF) << 8) |
                    ((is.read() & 0xFF) << 0);
        }

        return new ImageRGBData(data, width, height);
    }
}
